Skip to main content
POST
Restore Workspace File

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

file_path
string
required
workspace
string
required

Slug of the workspace the request acts in

Maximum string length: 120
Pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$

Response

Successful Response

path
string
required
restored_from
string
required
archived_current
string | null

Trash path of the file that occupied path and was archived to make room for the restore; null when the path was free.

Last modified on October 12, 2026